# ---------------------------------------------------------------------
#
# Copyright (c) CREATIS (Centre de Recherche en Acquisition et Traitement de l'Image 
#                        pour la Santé)
# Authors : Eduardo Davila, Frederic Cervenansky, Claire Mouton
#
#  This software is governed by the CeCILL-B license under French law and 
#  abiding by the rules of distribution of free software. You can  use, 
#  modify and/ or redistribute the software under the terms of the CeCILL-B 
#  license as circulated by CEA, CNRS and INRIA at the following URL 
#  http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.html 
#  or in the file LICENSE.txt.
#
#  As a counterpart to the access to the source code and  rights to copy,
#  modify and redistribute granted by the license, users are provided only
#  with a limited warranty  and the software's author,  the holder of the
#  economic rights,  and the successive licensors  have only  limited
#  liability. 
#
#  The fact that you are presently reading this means that you have had
#  knowledge of the CeCILL-B license and that you accept its terms.
# ------------------------------------------------------------------------  


#!/bin/bash

 if [ ! -f $PWD/scripts/CreaTools-configure.sh ]
 then 
   echo
   echo "..ERROR.."
   echo "==================================================="
   echo "REMEMBER !"
   echo ""
   echo "YOU NEED TO RUN 'Configure' (0) First !"
   echo "==================================================="
   echo
   echo
   exit 0
fi

source $PWD/scripts/CreaTools-configure.sh
echo "=================================== in ThirdParty-install-Finalize.sh ETC_BASHRC : " $ETC_BASHRC

# /// \TODO move theese ones upper in the process!  JPR

export GDCM_DIR=$installPrefixThird/lib/gdcm/
export VTK_DIR=$installPrefixThird/lib/cmake/vtk-8.1/
export ITK_DIR=$installPrefixThird/lib
export WT_DIR=$installPrefixThird/lib/wt-4.0.4-rc1/

baseLibraryThirdPartyDir=$installPrefixThird/share/creatools


#deal with create creatools_third_party_libraries_config.sh
echo "=========================================================installPrefixThird "$installPrefixThird
if [ -f $baseLibraryThirdPartyDir/creatools_third_party_library_config.sh ]
then
   rm $baseLibraryThirdPartyDir/creatools_third_party_library_config.sh
fi

if [ ! -e $baseLibraryThirdPartyDir ]
then
   mkdir -p $baseLibraryThirdPartyDir
fi
touch     $baseLibraryThirdPartyDir/creatools_third_party_library_config.sh
chmod 755 $baseLibraryThirdPartyDir/creatools_third_party_library_config.sh

echo export GDK_BACKEND=x11				    	       			>> $baseLibraryThirdPartyDir/creatools_third_party_library_config.sh
echo export MESA_GL_VERSION_OVERRIDE=3.2    	       			>> $baseLibraryThirdPartyDir/creatools_third_party_library_config.sh
echo installPrefixThird='$1'   									>> $baseLibraryThirdPartyDir/creatools_third_party_library_config.sh
echo export PATH='$'PATH:'$'installPrefixThird/bin    	  		>> $baseLibraryThirdPartyDir/creatools_third_party_library_config.sh
echo export VTK_DIR='$'installPrefixThird/lib 	  	    	 	>> $baseLibraryThirdPartyDir/creatools_third_party_library_config.sh
echo export ITK_DIR='$'installPrefixThird/lib					>> $baseLibraryThirdPartyDir/creatools_third_party_library_config.sh
echo export GDCM_DIR='$'installPrefixThird/lib/gdcm          	>> $baseLibraryThirdPartyDir/creatools_third_party_library_config.sh
echo export WT_DIR='$'installPrefixThird/lib/wt-4.0.4-rc1      	>> $baseLibraryThirdPartyDir/creatools_third_party_library_config.sh
echo export TTH='$'installPrefixThird/bin/tth                	>> $baseLibraryThirdPartyDir/creatools_third_party_library_config.sh

if [ $OperatingSystem = "MacOS" ]
then
   echo export DYLD_LIBRARY_PATH='$'DYLD_LIBRARY_PATH:'$'GDCM_DIR   >> $baseLibraryThirdPartyDir/creatools_third_party_library_config.sh
   echo export DYLD_LIBRARY_PATH='$'DYLD_LIBRARY_PATH:'$'ITK_DIR    >> $baseLibraryThirdPartyDir/creatools_third_party_library_config.sh
   echo export DYLD_LIBRARY_PATH='$'DYLD_LIBRARY_PATH:'$'VTK_DIR    >> $baseLibraryThirdPartyDir/creatools_third_party_library_config.sh
   echo export DYLD_LIBRARY_PATH='$'DYLD_LIBRARY_PATH:'$'WT_DIR    	>> $baseLibraryThirdPartyDir/creatools_third_party_library_config.sh
else
   echo export LD_LIBRARY_PATH='$'LD_LIBRARY_PATH:'$'GDCM_DIR   	>> $baseLibraryThirdPartyDir/creatools_third_party_library_config.sh
   echo export LD_LIBRARY_PATH='$'LD_LIBRARY_PATH:'$'ITK_DIR    	>> $baseLibraryThirdPartyDir/creatools_third_party_library_config.sh
   echo export LD_LIBRARY_PATH='$'LD_LIBRARY_PATH:'$'VTK_DIR    	>> $baseLibraryThirdPartyDir/creatools_third_party_library_config.sh
   echo export LD_LIBRARY_PATH='$'LD_LIBRARY_PATH:'$'WT_DIR    		>> $baseLibraryThirdPartyDir/creatools_third_party_library_config.sh
fi

cd $PWD/scripts
source ThirdParty-bashrc.sh
chown -R $loginUserName  $generationdir
chgrp -R $loginGroupName $generationdir
source $ETC_BASHRC 

## copping files to prepare the package Intall-Creatools-Bin.sh
cp ThirdParty-bashrc.sh $baseLibraryThirdPartyDir/.
cp ThirdParty-install-Base-Stuff.sh $baseLibraryThirdPartyDir/.
cp ThirdParty-install-Base-rpm.sh $baseLibraryThirdPartyDir/.


