# ---------------------------------------------------------------------
#
# Copyright (c) CREATIS (Centre de Recherche en Acquisition et Traitement de l'Image 
#                        pour la Santé)
# Authors : Eduardo Davila, Frederic Cervenansky, Claire Mouton
#
#  This software is governed by the CeCILL-B license under French law and 
#  abiding by the rules of distribution of free software. You can  use, 
#  modify and/ or redistribute the software under the terms of the CeCILL-B 
#  license as circulated by CEA, CNRS and INRIA at the following URL 
#  http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.html 
#  or in the file LICENSE.txt.
#
#  As a counterpart to the access to the source code and  rights to copy,
#  modify and redistribute granted by the license, users are provided only
#  with a limited warranty  and the software's author,  the holder of the
#  economic rights,  and the successive licensors  have only  limited
#  liability. 
#
#  The fact that you are presently reading this means that you have had
#  knowledge of the CeCILL-B license and that you accept its terms.
# ------------------------------------------------------------------------  


# $1 : creaBruker
# $2 : generationdir
# $3 : ON/OFF (generate doc)

binfolder=$2/creatools_bin/$1Bin
cd $binfolder

TDx=$4
cxxFlags='-fPIC -std=c++11 '
# TDx is declared in: CreaTools-configure.sh
if [ "$TDx" == "ON" ]; then
  cxxFlags=$cxxFlags'-F/Library/Frameworks '
fi


cmake -D CMAKE_CXX_FLAGS:STRING="$cxxFlags"   					CMakeCache.txt
cmake -D crea_DIR:PATH=$2/creatools_bin/creaBin       			CMakeCache.txt
cmake -D BBTK_DIR:PATH=$2/creatools_bin/bbtkBin       			CMakeCache.txt
cmake -D BBTK_DIR:PATH=$2/creatools_bin/bbtkBin       			CMakeCache.txt
cmake -D creaEnvironment_DIR:PATH=$2/creatools_bin/creaEnvironmentBin       CMakeCache.txt
cmake -D creaMaracasVisu_DIR:PATH=$2/creatools_bin/creaMaracasVisuBin       CMakeCache.txt
cmake -D creaImageIO_DIR:PATH=$2/creatools_bin/creaImageIOBin  	CMakeCache.txt
cmake -D BUILD_BBTK_PACKAGE_creaContours:BOOL=ON             	CMakeCache.txt
cmake -D creaContours_DOC:BOOL=$3                            	CMakeCache.txt
cmake -D BUILD_BBTK_PACKAGE_creaContours_DOXYGEN_DOC:BOOL=$3 	CMakeCache.txt

cmake  CMakeCache.txt

cd ..
